# Ninja vs. Samurai - A sneaky puzzle game

A game built using the [LÖVE engine](http://love.2d.org) which is essentially a breakdown of the main tenements of stealth gameplay. You move your character and avoid being caught by the patrolling guards.

## Credits

 * Code & design: [Michael Enger](http://thelonelycoder.com)
 * Graphics: [Jon-Morten Kristiansen](http://jonmorten.com/)
 * Music: [Evan King](http://soundcloud.com/evan-king)

## Libraries

Ninja vs. Samurai  uses the following LÖVE libraries:

 * [MiddleClass](http://love2d.org/wiki/MiddleClass) (with [Stateful](https://github.com/kikito/stateful.lua)) by Enrique García
 * [tween.lua](http://love2d.org/wiki/tween.lua) by Enrique García
 * [TLbind](http://love2d.org/wiki/TLbind) by Taehl
 * [TLfres](http://love2d.org/wiki/TLfres) by Taehl
 * [LuAstar](http://love2d.org/forums/viewtopic.php?f=5&t=3459) by Roland Yonaba

## License

**Code used in Ninja vs. Samurai is licensed under the terms of the ZLIB license where as the media files (images, sounds, video) are under copyright terms**

Copyright © 2011 The Lonely Coder

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

 * The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
 * Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
 * This notice may not be removed or altered from any source distribution.

