--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local main = menu:addPanel(500, 300)
main:setSize(600, 400)

local newgame = main:addImageButton(media.images.button_startgame_normal)
newgame:addEventListener("click", function(event, object, params)
	--game:play(media.levels[1])
	game:pushState("Browse")
end)
newgame:setHoverImage(media.images.button_startgame_hover)

local editor = main:addImageButton(media.images.button_leveleditor_normal)
editor:addEventListener("click", function(event, object, params)
	game:pushState("Editor")
end)
editor:setHoverImage(media.images.button_leveleditor_hover)

local options = main:addImageButton(media.images.button_options_normal)
options:addEventListener("click", function(event, object, params)
	game:pushState("Options")
end)
options:setHoverImage(media.images.button_options_hover)

local exit = main:addImageButton(media.images.button_exit_normal)
exit:addEventListener("click", function(event, object, params)
	game:quit()
end)
exit:setHoverImage(media.images.button_exit_hover)

main:setLayout("vertical", 20)
main:hide()

return main
