--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local OptionsState = Game:addState("Options")

function OptionsState:enteredState()
	media.menus.options:show()
end

function OptionsState:draw()
	-- Background
	local x = ((love.graphics.getWidth() * game.scale) - media.images.background:getWidth()) / 2
	local y = ((love.graphics.getHeight() * game.scale) - media.images.background:getHeight()) / 2
	love.graphics.draw(media.images.background, x, y)
end

function OptionsState:controlPressed(c)
	menu:keypressed(c)
end

function OptionsState:exitedState()
	media.menus.options:hide()
end
