--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

return {
	-- Speed of movement
	speed = 1000,
	
	-- Original width of graphics
	screenwidth = 1600,

	-- Display mode
	displaymode = {
		w = 800,
		h = 600,
		full = false,
		vsync = false,
		aa = 0
	},

	-- Sound & music
	sound = true,
	music = true,

	-- Max size of the grid cells (in px)
	gridsize = 150,
	
	-- Colors used in the game
	colors = {
		border = { 206, 200, 186 },
		guardcone = { 255, 0, 0, 100 },
		text = { 255, 255, 255 }
	},

	-- Score for levels
	score = {}
}