--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

require "love.filesystem"
require "love.audio"
require "love.sound"

local thread = love.thread.getThread()
local path = nil
local done = false

while true do
	path = thread:receive("path")
	if path then
		local audio = love.audio.newSource(path)
		thread:send("object", audio)
	end

	done = thread:receive("done")
	if done then break end
end
