--[[
	Ninja vs. Samurai: A sneaky puzzle game
	Created: 12.09.11 by Michael Enger (http://www.thelonelycoder.com)
	Version: 0.3
	Licence: ZLIB
]]

local scoreboard = menu:addPanel(500, 300)
scoreboard:setSize(600, 400)

local youwin = scoreboard:addImage(media.images.youwin)
youwin.colspan = true

local movesLabel = scoreboard:addLabel("Moves:")
movesLabel:setFont(media.fonts.menu)
movesLabel:setColor(media.colors.text)
local movesLabel = scoreboard:addLabel("0", 0, 0)
movesLabel:setFont(media.fonts.menu)
movesLabel:setColor(media.colors.text)
menu:tag(movesLabel, "moves")

local triesLabel = scoreboard:addLabel("Attempts:")
triesLabel:setFont(media.fonts.menu)
triesLabel:setColor(media.colors.text)
local triesLabel = scoreboard:addLabel("0", 0, 0)
triesLabel:setFont(media.fonts.menu)
triesLabel:setColor(media.colors.text)
menu:tag(triesLabel, "tries")

local again = scoreboard:addImageButton(media.images.button_playagain_normal)
again:addEventListener("click", function(event, object, params)
	scoreboard:hide()
	game:restartLevel(true)
end)
again:setHoverImage(media.images.button_playagain_hover)

local nextLevel = scoreboard:addImageButton(media.images.button_next_normal)
nextLevel:addEventListener("click", function(event, object, params)
	scoreboard:hide()
	game:nextLevel()
end)
nextLevel:setHoverImage(media.images.button_next_hover)
menu:tag(nextLevel, "next-level")

scoreboard:setLayout("grid", 20)
scoreboard:hide()

return scoreboard
